
import sys
from tagger import Tagger

tagger = Tagger(sys.argv[1])

with open(sys.argv[2]) as file:
    for line in file:
        words = line.split()
        tags = tagger.viterbi(words)
        for word, tag in zip(words, tags):
            print(word, tag, sep="\t")
        print()
